This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### pointLight()
Examples |
    size(100, 100, P3D);
    background(0);
    noStroke();
    pointLight(51, 102, 126, 35, 40, 36);
    translate(80, 50, 0);
    sphere(30);
Description | Adds a point light. Lights need to be included in the draw() to remain persistent in a looping program. Placing them in the setup() of a looping program will cause them to only have an effect the first time through the loop. The v1, v2, and v3 parameters are interpreted as either RGB or HSB values, depending on the current color mode. The x, y, and z parameters set the position of the light.
Syntax |
    pointLight(v1, v2, v3, x, y, z)
Parameters |
v1 | float: red or hue value (depending on current color mode)
v2 | float: green or saturation value (depending on current color mode)
v3 | float: blue or brightness value (depending on current color mode)
x | float: x-coordinate of the light
y | float: y-coordinate of the light
z | float: z-coordinate of the light
Returns | void
Related | lights() directionalLight() ambientLight() spotLight()

Updated on October 26, 2013 08:58:32pm PDT